public class TestMyHashSet {
  public static void main(String[] args) {
    // Tworzenie obiektu typu MyHashSet
    java.util.Collection<String> set = new MyHashSet<>();
    set.add("Szwed");
    set.add("Adamczyk");
    set.add("Lasocki");
    set.add("Cierniak");
    set.add("Szwed");

    System.out.println("Elementy zbioru: " + set);
    System.out.println("Liczba elementów w zbiorze: " + set.size());
    System.out.println("Czy zbiór zawiera nazwisko Szwed? " + set.contains("Szwed"));

    set.remove("Szwed");
    System.out.print("Nazwiska ze zbioru zapisane wielkimi literami: ");
    for (String s: set)
      System.out.print(s.toUpperCase() + " ");

    set.clear();
    System.out.println("\nElementy w zbiorze: " + set);
  }
}